import React from 'react';
import ReactDOM from 'react-dom';

const App = () => (
  <div>
    <Emoji />
  </div>
);

// Emoji component
const width = 900;
const height = 450;

const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;

const eyeRadius = 50;
const eyeOffsetX = 95;
const eyeOffsetY = 70;

const mouthWidth = 10
const mouthRadius = 130

const mouthArc = d3
  .arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(3 * Math.PI/2 );

const Emoji = () => (
  <div>
    <svg
      width={width}
      height={height}
      style={{ border: '1px solid' }}
    >
      <g transform={`translate(${centerX}, ${centerY})`}>
        <circle
          r={centerY - strokeWidth / 2}
          fill="yellow"
          stroke="black"
          stroke-width={strokeWidth}
        />

        <circle
          cx={ - eyeOffsetX}
          cy={ - eyeOffsetY}
          r={eyeRadius}
          fill="black"
        />

        <circle
          cx={ + eyeOffsetX}
          cy={ - eyeOffsetY}
          r={eyeRadius}
          fill="black"
        />

        <path d={mouthArc()} />
      </g>
    </svg>
  </div>
);

ReactDOM.render(<App />, document.getElementById('root'));
